Bug#481896: gnome-cups-manager: doesn't work right with gksudo

Avery Fay avery at shadypixel.com
Mon May 19 12:03:35 UTC 2008

Package: gnome-cups-manager
Version: 0.31-3+b1
Severity: important

I could be missing something import here, but as far as I can tell 
gnome-cups-manager privilege escalation is completely broken.

Here's what I tried:

1.) Start from System->Admin->Printing menu in gnome. Double-click "New 
Printer". It fails silently.

2.) Start from command line to see if I'm missing messages. Nope. Fails 

3.) Look at the menus. Under "Edit"?????? there's an item called "Become 
Administrator", so I try that. Double-click "New Printer". It fails 
silently, so I close the "Printers" window. But wait... as soon as I 
close the "Printers" window the add printer dialog appears. That I 
completely don't understand.

4.) After all this, I played around with it. If I run "sudo 
gnome-cups-manager" from the command line it works. So, I think this is 
a problem specifically with gksudo?

I should also mention that I have a completely sudo based system. There 
is no root password, so there's a chance that all of this works when the 
default gksu behavior is su rather than sudo.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gnome-cups-manager depends on:
ii  libart-2.0-2          2.3.20-2           Library of functions for 2D graphi
ii  libatk1.0-0           1.22.0-1           The ATK accessibility toolkit
ii  libbonobo2-0          2.22.0-1           Bonobo CORBA interfaces library
ii  libbonoboui2-0        2.22.0-1           The Bonobo UI library
ii  libc6                 2.7-10             GNU C Library: Shared libraries
ii  libcairo2             1.6.4-1+b1         The Cairo 2D vector graphics libra
ii  libcomerr2            1.40.8-2           common error description library
ii  libcupsys2            1.3.7-5            Common UNIX Printing System(tm) - 
ii  libgconf2-4           2.22.0-1           GNOME configuration database syste
ii  libglade2-0           1:2.6.2-1          library to load .glade files at ru
ii  libglib2.0-0          2.16.3-2           The GLib library of C routines
ii  libgnome-keyring0     2.22.1-1           GNOME keyring services library
ii  libgnome2-0          The GNOME 2 library - runtime file
ii  libgnomecanvas2-0         A powerful object-oriented display
ii  libgnomecups1.0-1     0.2.3-2            GNOME library for CUPS interaction
ii  libgnomecupsui1.0-1c2 0.31-3+b1          UI extensions to libgnomecups
ii  libgnomeui-0         The GNOME 2 libraries (User Interf
ii  libgnomevfs2-0        1:2.22.0-2         GNOME Virtual File System (runtime
ii  libgnutls26           2.2.3~rc-1         the GNU TLS library - runtime libr
ii  libgtk2.0-0           2.12.9-3           The GTK+ graphical user interface 
ii  libice6               2:1.0.4-1          X11 Inter-Client Exchange library
ii  libkrb53              1.6.dfsg.3~beta1-4 MIT Kerberos runtime libraries
ii  liborbit2             1:2.14.12-0.1      libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0         1.20.2-2           Layout and rendering of internatio
ii  libpopt0              1.10-3             lib for parsing cmdline parameters
ii  libsm6                2:1.0.3-1+b1       X11 Session Management library
ii  libx11-6              2:1.0.3-7          X11 client-side library
ii  libxml2               2.6.32.dfsg-2      GNOME XML library
ii  zlib1g                1:  compression library - runtime

Versions of packages gnome-cups-manager recommends:
ii  gksu                          2.0.0-5    graphical frontend to su

-- no debconf information

More information about the pkg-gnome-maintainers mailing list